import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

public class FenetreBonjour extends JFrame {

	private static final String BONJOUR = "Bonjour !";
	private static final String AU_REVOIR = "Au revoir !";

	public FenetreBonjour() {
		super(BONJOUR);
		Container c = getContentPane();
		c.setLayout(new GridLayout(0, 1));
		ajouterBouton(c, BONJOUR, e -> System.out.println(BONJOUR));
		ajouterBouton(c, AU_REVOIR, e -> System.exit(0));
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	private void ajouterBouton(Container c, String label, ActionListener listener) {
		JButton bouton = new JButton(label);
		bouton.addActionListener(listener);
		c.add(bouton);
	}

	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				JFrame f = new FenetreBonjour();
				f.pack();
				f.setLocationRelativeTo(null);
				f.setVisible(true);
			}
		});
	}
}
